	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour3")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -20.00)
	call psetr("subpage_upper_right_longitude", 50.00)
	call psetr("subpage_upper_right_latitude", 65.00)
	call psetc("subpage_map_projection", "cylindrical")
	call psetr("subpage_lower_left_latitude", 25.00)

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "t850.grb")
	call pgrib

	call psetc("contour_grid_value_plot", "on")
	call psetc("contour_level_selection_type", "level_list")
	call psetr("contour_grid_value_height", 0.30)
	call psetc("contour_grid_value_plot_type", "both")
	call psetc("contour_line_colour", "grey")
	call psetr("contour_grid_value_marker_height", 0.20)
	call pseti("contour_line_thickness", 2)
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "off")
	call pseti("contour_grid_value_lon_frequency", 10)
	call pseti("contour_grid_value_lat_frequency", 10)
	call psetc("legend", "off")
